c----demo file for the using of CTEQPDF fortran inteface-----
c-------------------------------------------------

c-------------------------------------------------

      program main
      implicit none
      character*100 it1
      double precision x, Q, pg1, al
      double precision ct11pdf, ct11alphas 

c---name of the CTEQ pds file------ 
      it1="../pds/METAv10.00.pds"


c---initializing the PDF table-----
      call setct11(it1)

c---get the parton distribution functions----
      x=0.01
      Q=91.187

      pg1=ct11pdf(0, x, Q);
      write(*,*) "Gluon PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " g=", pg1

      pg1=ct11pdf(1, x, Q);
      write(*,*) "\n u quark PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " u=", pg1

      pg1=ct11pdf(2, x, Q);
      write(*,*) "\n d quark PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " d=", pg1

      pg1=ct11pdf(3, x, Q);
      write(*,*) "\n s quark PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " s=", pg1

      pg1=ct11pdf(4, x, Q);
      write(*,*) "\n c qark  PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " c=", pg1

      pg1=ct11pdf(5, x, Q);
      write(*,*) "\n b qark  PDFs at Q=",Q," and x=",x
      write(*,*) "For ", trim(it1), " b=", pg1


c---get the alphas value (only for new formats, otherwise
c--------will cause an exit of the program)----
      al=ct11alphas(Q);
      write(*,*) "\n Alphas at Q=", Q
      write(*,*) "For ", trim(it1), " as=", al

      end program main
